Subject: Re: bug#5600: 23.1; etags don't tag (defvar foo) declaration

From: Francesco Potortì <[email-masked]>
Date: Fri, 19 Feb 2010 10:25:01 +0100

>It'd be good if etags didn't tag defvar declaration forms, only actual
>variable definitions.  

Lisp_functions should distinguish between defvar and other (def*
constructs, and tag the former only if --declarations.

Would you consider a different patch that looks at the declarations
global variable and distinguishes among "(defvar" and other "(def"
contructs?  Such a change would reuire to be reflected in the help
strings, the man page and the info docs.

I can do that myself, but I cannot guarantee a deadline earlier than
some weeks from now.

>I found the tripe-negative of while(!noninname) hard to follow and
>thought a skip_name() could be clearer.

I agree.